%global _empty_manifest_terminate_build 0
%global pypi_name ruff

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        1
Summary:        An extremely fast Python linter, written in Rust.
License:        MIT
URL:            https://github.com/astral-sh/ruff
Source0:        https://files.pythonhosted.org/packages/2c/c7/f3367d1da5d568192968c5c9e7f3d51fb317b9ac04828493b23d8fce8ce6/ruff-0.7.0.tar.gz
Source1:        cargo-vendor-cache
Patch1:         0001-set-cargo-vendor-cache-for-local-build.patch

BuildRequires:  rust-packaging
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-maturin

%description
An extremely fast Python linter, written in Rust.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Provides:       python-ruff = %{version}-%{release}
%description -n python3-%{pypi_name}
An extremely fast Python linter, written in Rust.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
tar xzvf %{SOURCE1} -C .

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{_bindir}/ruff
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}*.dist-info/

%changelog
* Thu Oct 24 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 0.7.0-1
- Update package to version 0.7.0
  Add support for extensionless Python files for server
  Fix configuration inheritance for configurations specified in the LSP settings
  Fix placement of inline parameter comments
  Add a subcommand to generate dependency graphs
  Add Python version support to ruff analyze CLI
  Add exclude support to ruff analyze
  Fix parentheses around return type annotations
  Fix codeblock dynamic line length calculation for indented docstring examples
  Refurb implement hardcoded-string-charset
  Refurb Count codepoints not bytes for slice-to-remove-prefix-or-suffix

* Wed Mar 27 2024 GuoCe <guoce@kylinos.cn> - 0.3.4-1
- Update package to version 0.3.4
- Add yaml file

* Fri Mar 15 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 0.3.2-1
- Update package to version 0.3.2
- Fix trailing kwargs end of line comment after slash

* Sun Jul 2 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.0.276-1
- Initial package
